Description

Hi,

as you may or may not be aware the debian-qa team just removed the QGIS 0.9.1 package from the unstable and testing repositories.

see this discussion on the [[DebianGIS]] mailing list:

http://thread.gmane.org/gmane.comp.gis.grass.pkg.general/2827

http://wiki.debian.org/DebianGis

As I'm sure you'll agree, this sucks on many levels. It probably hurts Ubuntu, Live Knoppix CDs, ....... too.

the acute problem is failure to compile with gcc 4.3, the general (but primary) cause are the many unfixed little problems with the

package. see:

http://bugs.debian.org/474604

It would be really great to have the debian packaging all cleaned up and spiffy so we can ship 0.9.2 with the next stable release (ie

Lenny). It seems to me a series of small tasks to do- like missing man pages, so a very achievable goal. Because of the many 3rd party

dependencies it takes a long time for the qgis packages to move from Debian/unstable to Debian/testing. So the sooner this gets fixed and

in the pipeline the better, as it requires a much longer lead time than the typical debian package.

I think what we need first is a QGIS devel to help lead this effort, or at least volunteer to be the upstream contact point and help coordinate

things. I'd rather address issues at the QGIS end rather than have the [[DebianGIS]] team try and maintain a massive patch-set for

generic issues. (of course Debian-specific changes are not your problem)

thanks for any help,

Hamish

Associated revisions

Revision 8cc505f7 - 2008-04-14 11:30 PM - Jürgen Fischer

debian packaging update

- update for next release

- removed some temporary files in debian/

- add version number to shared libraries names and split them into

   libqgis-core0.9, libqgis-gui0.9 and libqgisgrass0.9 (fixes #36)

- split python binding and plugins into separate package python-qgis

- merge some changes from the DebianGIS repository

- build in debian/build

- updated menu and icon

- use qgis man pages (qgis_help added)

- build on Debian unstable is lintian clean (may fix #1028)
- build also tested on OSX (Tim Sutton), MinGW (Marco Pasetti) and with MSVC

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8351 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7f56f552 - 2008-04-14 11:30 PM - Jürgen Fischer

debian packaging update

- update for next release

- removed some temporary files in debian/

- add version number to shared libraries names and split them into

   libqgis-core0.9, libqgis-gui0.9 and libqgisgrass0.9 (fixes #36)

- split python binding and plugins into separate package python-qgis

- merge some changes from the DebianGIS repository

- build in debian/build

- updated menu and icon

- use qgis man pages (qgis_help added)

- build on Debian unstable is lintian clean (may fix #1028)

- build also tested on OSX (Tim Sutton), MinGW (Marco Pasetti) and with MSVC

git-svn-id: http://svn.osgeo.org/qgis/trunk@8351 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-04-10 10:24 AM - Jürgen Fischer

The gcc4.3 problems where fixed in  already.

#2 - 2008-04-10 12:13 PM - Jürgen Fischer

Replying to hamish:

I think what we need first is a QGIS devel to help lead this effort, or at least volunteer to be the upstream contact point and help coordinate things. I'd

rather address issues at the QGIS end rather than have the [[DebianGIS]] team try and maintain a massive patch-set for generic issues. (of course

Debian-specific changes are not your problem)

I'd be glad to see QGIS back in Debian.  What problems are there except for the debian packaging issues?

Appearently the debian/ files in our repository were submitted by [[DebianGIS]] and committed in commit:0993e672 (SVN r7165).  Both our changes since

then and the changes in http://debian.gfoss.it/pool/main/q/qgis/qgis_0.9.2~rc20080401-1.diff.gz seem minor.  Did the removed package in unstable contain

more changes?

#3 - 2008-04-10 10:34 PM - hamish -

Good news, thanks.

For what it's worth:

For GRASS we found it endlessly confusing to host debian/ package files both in our CVS and [[DebianGIS]]'s SVN. We though it would be a nice gesture

to include them with the grass for users building their own packages and for debian derived distros. But in practice they were always out of date and

un-sync'ed.
Did the removed package in unstable contain more changes?

I don't know, here are the latest [[DebianGIS]] SVN changes:

http://svn.debian.org/wsvn/pkg-grass/packages/qgis/trunk/debian/?op=log

Hamish

#4 - 2008-04-12 09:22 PM - Jürgen Fischer

The attached patch fixes reduces the output of lintian to:

W: qgis-plugin-grass: package-name-doesnt-match-sonames libqgisgrass0.9

W: libqgis1: package-name-doesnt-match-sonames libqgis-core0.9 libqgis-gui0.9

#5 - 2008-04-13 11:36 AM - Jürgen Fischer

with the updated patch the packages are lintian clean.

#6 - 2008-04-14 12:11 AM - hamish -

Is the patch against QGIS's debian/ dir:

http://trac.osgeo.org/qgis/browser/trunk/debian

or [[DebianGIS]]'s SVN:

http://svn.debian.org/wsvn/pkg-grass/packages/qgis/trunk/debian/?op=log

?

if it does apply to QGIS's OSGeo SVN, is it against the latest trunk/ revision or against 0.9.1?

You will notice that the [[DebainGIS]] version has had many changes since the last commit in QGIS's version. (last in [[DebianGIS]] SVN: 2 weeks, last in

QGIS's SVN: 15 months)

IMO we should remove the debian/ dir from QGIS's svn and focus all efforts in one place (ie [[DebianGIS]]'s svn). We can arrange to get you write access

there if you would like. What do you think?

thanks much,

Hamish

#7 - 2008-04-18 07:32 AM - Jürgen Fischer

I don't know to what extend this needs to be addressed in our trac.  The debian/ branch in our repository seems to be ok (at least as far as linitian is

concerned).  What would be the procedure to update the [[DebianGIS]] repository to 0.10.0 along with the modified debian/ branch?

#8 - 2008-04-19 12:30 AM - hamish -

In light of the issue at hand, I am not opposed to consolidating the bugs reports as well :)

My main concern was to make sure that communication channels were open between the two projects.
Hamish

#9 - 2008-04-19 11:38 AM - frankie -

I saw the current tree on the qgis and the packaging level is still suboptimal. Just a few points:

- Debian changelog must be informative and complete about the packaging. Last entries are not.

- Policy is outdated.

- Sonames and library names differ.

- Grass plugin is largely broken (this is a concern for me and a heavy regression for qgis in etch).

- Having core and -gui splitted is silly and unuseful. Third parties plugin would require anyway both qgis and libraries. Avoid binary package pollution

please. Ftpmasters refuse package for much less than that. See below.

 There are not .so links in the dev package.

 Python support and policy complaining are (still) missing.

Have the soname in qgis libs some sense (it will be something different at every release or will it follow some libtool-like scheme)? What is the road map for

those libraries? If third-parties development  will be limited to plugins it has probably not sense having those libs in /usr/lib, it is much more sensed using a

qgis wrapper for instance, and moving them under /usr/lib/qgis. 

In that case, soname constraints could be relaxed.

I would expect no independent binaries that will use those libs, so keeping them under /usr/lib is not something useful. AFAIK there aren't any currently.

Definitively, after removing by QA, packaging level must improve consistently to be accepted again in main.

#10 - 2008-06-09 11:38 PM - hamish -

Hi,

glad to see that progress is being made.

https://trac.osgeo.org/qgis/log/trunk/qgis/debian/changelog

any guidance on how we should sync [[DebianGIS]]'s svnr1 with QGIS'sr2?

r1 http://svn.debian.org/wsvn/pkg-grass/packages/qgis/trunk/debian/

r2 https://trac.osgeo.org/qgis/browser/trunk/qgis/debian/

maybe we could automatically pull one from the other using svn:externals?

http://svnbook.red-bean.com/en/1.4/svn.advanced.externals.html

or is it desired to keep them separate? Perhaps trunk/ could be pulled into [[DebianGIS]]'s svn automatically but for releases we copy the files and then

sync things by hand?

?

and what's with  https://trac.osgeo.org/qgis/browser/trunk/debian/

If that is old/redundant/unused maybe it should be removed to avoid confusion and prevent newcomers from hacking on the wrong files.

(my motivation to sync with the [[DebianGIS]] svn repo is to avoid duplicate effort)

please let us (the [[DebianGIS]] team) know if there and any issues or advice that is needed, or when you think things are in good enough shape for

review.

thanks,
Hamish

#11 - 2009-01-31 02:33 AM - Paolo Cavallini

Frankie, I believe now debian files are in good shape. We are just waiting Lenny release to package qgis 1.0, aren't we?

#12 - 2009-02-07 04:50 PM - hamish -

Some discussion on the mailing list(s), early Feb 2009:

http://thread.gmane.org/gmane.comp.gis.qgis.devel/5087/

Hamish

#13 - 2010-02-10 03:13 AM - Paolo Cavallini

Can this be closed, now that we have qgis on main?

#14 - 2010-02-10 07:32 AM - hamish -

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:15 pcav]:

Can this be closed, now that we have qgis on main?

That is friggin excellent news. Once again Francesco to the rescue, and once again I worry a bit about the bus factor and his workload.

Next stop testing & ubuntu(s).

Hamish

ps- we should sync or move away the qgis/ dir in [[DebianGIS]] svn if we aren't going to use it.

Files

patch_for_bug_1028.txt 27.4 KB 2008-04-13 Jürgen Fischer

2024-04-25 5/5

http://thread.gmane.org/gmane.comp.gis.qgis.devel/5087/

